## kbookmarks 5.78.0

=== src/CMakeLists.txt ===
ecm_create_qm_loader(kbookmarks_QM_LOADER kbookmarks5_qt)

set(kbookmarks_SRCS
  kbookmark.cpp
  kbookmarkaction.cpp
  kbookmarkactioninterface.cpp
  kbookmarkactionmenu.cpp
  kbookmarkcontextmenu.cpp
  kbookmarkimporter.cpp
  kbookmarkmanager.cpp
  kbookmarkmenu.cpp
  kbookmarkowner.cpp
  konqbookmarkmenu.cpp
  kbookmarkimporter_opera.cpp
  kbookmarkimporter_ie.cpp
  kbookmarkimporter_ns.cpp
  kbookmarkdombuilder.cpp
  kbookmarkdialog.cpp
  ${kbookmarks_QM_LOADER}
)
if (TARGET Qt5::DBus)
  list(APPEND kbookmarks_SRCS kbookmarkmanageradaptor.cpp)
endif()

ecm_qt_declare_logging_category(kbookmarks_SRCS
    HEADER kbookmarks_debug.h
    IDENTIFIER KBOOKMARKS_LOG
    CATEGORY_NAME kf.bookmarks
    OLD_CATEGORY_NAMES kf5.kbookmarks
    DESCRIPTION "KBookmarks"
    EXPORT KBOOKMARKS
)

add_library(KF5Bookmarks ${kbookmarks_SRCS})
add_library(KF5::Bookmarks ALIAS KF5Bookmarks)
ecm_generate_export_header(KF5Bookmarks
    BASE_NAME KBookmarks
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.65 5.69
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Bookmarks INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks>")

target_link_libraries(KF5Bookmarks PUBLIC Qt5::Widgets Qt5::Xml KF5::WidgetsAddons)
target_link_libraries(KF5Bookmarks PRIVATE
    KF5::CoreAddons # for KStringHandler
    KF5::Codecs # for KCharsets
    KF5::ConfigCore # for KConfigGroup
    KF5::ConfigWidgets # for KStandardAction
    KF5::XmlGui # for KActionCollection
)
if (TARGET Qt5::DBus)
  target_link_libraries(KF5Bookmarks PRIVATE Qt5::DBus) # dbus usage in kbookmarkmanager.cpp
else()
  target_compile_definitions(KF5Bookmarks PUBLIC -DKBOOKMARKS_NO_DBUS)
endif()

set_target_properties(KF5Bookmarks PROPERTIES VERSION   ${KBOOKMARKS_VERSION_STRING}
                                              SOVERSION ${KBOOKMARKS_SOVERSION}
                                              EXPORT_NAME Bookmarks
)

ecm_generate_headers(KBookmarks_HEADERS
  HEADER_NAMES
  KBookmark
  KBookmarkAction
  KBookmarkActionInterface
  KBookmarkActionMenu
  KBookmarkContextMenu
  KBookmarkManager
  KBookmarkMenu
  KBookmarkOwner
  KBookmarkDomBuilder
  KBookmarkDialog
  KonqBookmarkMenu

  REQUIRED_HEADERS KBookmarks_HEADERS
)

# These classes have weirdly named classes, no forwarding headers.
set(KBookmarks_HEADERS
  ${KBookmarks_HEADERS}
  kbookmarkexporter.h
  kbookmarkimporter.h
  kbookmarkimporter_opera.h
  kbookmarkimporter_ie.h
  kbookmarkimporter_ns.h
)
install(TARGETS KF5Bookmarks EXPORT KF5BookmarksTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_export.h
  ${KBookmarks_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KBOOKMARKS
    FILE kbookmarks.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Bookmarks_QCH
        NAME KBookmarks
        BASE_NAME KF5Bookmarks
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KBookmarks_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Widgets_QCH
            Qt5Xml_QCH
            KF5WidgetsAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KBOOKMARKS_EXPORT
            KBOOKMARKS_DEPRECATED
            KBOOKMARKS_DEPRECATED_EXPORT
            "KBOOKMARKS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KBookmarks LIB_NAME KF5Bookmarks DEPS "widgets xml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kbookmarks (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:18 +0900

kbookmarks (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kbookmarks (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kbookmarks (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kbookmarks (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:01 +0200

kbookmarks (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5bookmarks-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:11 +0200

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5codecs-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5configwidgets-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbookmarks.git
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.78.0~),
         libkf5xmlgui-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54)

## kbookmarks 5.80.0

=== debian/changelog ===
kbookmarks (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:19 +0000

kbookmarks (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:54 +0000

kbookmarks (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 21:14:40 +0000

kbookmarks (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:54:37 +0000

kbookmarks (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 17:36:12 +0000

kbookmarks (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:08:42 +0000

kbookmarks (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:20:59 +0000

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libkf5codecs-dev (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5configwidgets-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.80.0~),
         libkf5xmlgui-dev (>= 5.80.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

## kbookmarks 5.86.0

=== debian/changelog ===
kbookmarks (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:27 +0100

kbookmarks (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:04 +0100

kbookmarks (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:34 +0100

kbookmarks (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:25 +0100

kbookmarks (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:00 +0100

kbookmarks (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5codecs-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               libkf5codecs-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -42,8 +42,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.80.0~),
-         libkf5xmlgui-dev (>= 5.80.0~),
+         libkf5configwidgets-dev (>= 5.86.0~),
+         libkf5xmlgui-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

## kbookmarks 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KBookmarks VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMAddQch)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KBOOKMARKS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED DBus)
endif()

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

ecm_install_po_files_as_qm(po)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.90.0
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Bookmarks")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Bookmarks_QCH
        FILE KF5BookmarksQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BookmarksQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5BookmarksConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5BookmarksTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5BookmarksTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,45 @@
 ecm_create_qm_loader(kbookmarks_QM_LOADER kbookmarks5_qt)
 
 set(kbookmarks_SRCS
-  kbookmark.cpp
-  kbookmarkaction.cpp
-  kbookmarkactioninterface.cpp
-  kbookmarkactionmenu.cpp
-  kbookmarkcontextmenu.cpp
-  kbookmarkimporter.cpp
-  kbookmarkmanager.cpp
-  kbookmarkmenu.cpp
-  kbookmarkowner.cpp
-  konqbookmarkmenu.cpp
-  kbookmarkimporter_opera.cpp
-  kbookmarkimporter_ie.cpp
-  kbookmarkimporter_ns.cpp
-  kbookmarkdombuilder.cpp
-  kbookmarkdialog.cpp
+    kbookmarkaction.cpp
+    kbookmarkaction.h
+    kbookmarkactioninterface.cpp
+    kbookmarkactioninterface.h
+    kbookmarkactionmenu.cpp
+    kbookmarkactionmenu.h
+    kbookmarkcontextmenu.cpp
+    kbookmarkcontextmenu.h
+    kbookmark.cpp
+    kbookmarkdialog.cpp
+    kbookmarkdialog.h
+    kbookmarkdialog_p.h
+    kbookmarkexporter.h
+    kbookmark.h
+    kbookmarkimporter.cpp
+    kbookmarkimporter.h
+    kbookmarkimporter_ie.cpp
+    kbookmarkimporter_ie.h
+    kbookmarkimporter_ns.cpp
+    kbookmarkimporter_ns.h
+    kbookmarkimporter_opera.cpp
+    kbookmarkimporter_opera.h
+    kbookmarkimporter_opera_p.h
+    kbookmarkmanager.cpp
+    kbookmarkmanager.h
+    kbookmarkmenu.cpp
+    kbookmarkmenu.h
+    kbookmarkmenu_p.h
+    kbookmarkowner.cpp
+    kbookmarkowner.h
+    konqbookmarkmenu.cpp
+    konqbookmarkmenu.h
+    konqbookmarkmenu_p.h
+    kbookmarkdombuilder.cpp
+    kbookmarkdombuilder.h
   ${kbookmarks_QM_LOADER}
 )
-if (TARGET Qt5::DBus)
-  list(APPEND kbookmarks_SRCS kbookmarkmanageradaptor.cpp)
+if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
+  list(APPEND kbookmarks_SRCS kbookmarkmanageradaptor.cpp kbookmarkmanageradaptor_p.h)
 endif()
 
 ecm_qt_declare_logging_category(kbookmarks_SRCS
@@ -36,15 +56,15 @@
 ecm_generate_export_header(KF5Bookmarks
     BASE_NAME KBookmarks
     GROUP_BASE_NAME KF
-    VERSION ${KF5_VERSION}
+    VERSION ${KF_VERSION}
     DEPRECATED_BASE_VERSION 0
     DEPRECATION_VERSIONS 5.0 5.65 5.69
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 
-target_include_directories(KF5Bookmarks INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks>")
+target_include_directories(KF5Bookmarks INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks>")
 
-target_link_libraries(KF5Bookmarks PUBLIC Qt5::Widgets Qt5::Xml KF5::WidgetsAddons)
+target_link_libraries(KF5Bookmarks PUBLIC Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::Xml KF5::WidgetsAddons)
 target_link_libraries(KF5Bookmarks PRIVATE
     KF5::CoreAddons # for KStringHandler
     KF5::Codecs # for KCharsets
@@ -52,13 +72,13 @@
     KF5::ConfigWidgets # for KStandardAction
     KF5::XmlGui # for KActionCollection
 )
-if (TARGET Qt5::DBus)
-  target_link_libraries(KF5Bookmarks PRIVATE Qt5::DBus) # dbus usage in kbookmarkmanager.cpp
+if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
+  target_link_libraries(KF5Bookmarks PRIVATE Qt${QT_MAJOR_VERSION}::DBus) # dbus usage in kbookmarkmanager.cpp
 else()
   target_compile_definitions(KF5Bookmarks PUBLIC -DKBOOKMARKS_NO_DBUS)
 endif()
 
-set_target_properties(KF5Bookmarks PROPERTIES VERSION   ${KBOOKMARKS_VERSION_STRING}
+set_target_properties(KF5Bookmarks PROPERTIES VERSION   ${KBOOKMARKS_VERSION}
                                               SOVERSION ${KBOOKMARKS_SOVERSION}
                                               EXPORT_NAME Bookmarks
 )
@@ -94,7 +114,7 @@
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_export.h
   ${KBookmarks_HEADERS}
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks COMPONENT Devel
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks COMPONENT Devel
 )
 
 ecm_qt_install_logging_categories(
@@ -108,7 +128,7 @@
         KF5Bookmarks_QCH
         NAME KBookmarks
         BASE_NAME KF5Bookmarks
-        VERSION ${KF5_VERSION}
+        VERSION ${KF_VERSION}
         ORG_DOMAIN org.kde
         SOURCES # using only public headers, to cover only public API
             ${KBookmarks_HEADERS}
@@ -131,5 +151,5 @@
 endif()
 
 include(ECMGeneratePriFile)
-ecm_generate_pri_file(BASE_NAME KBookmarks LIB_NAME KF5Bookmarks DEPS "widgets xml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KBookmarks)
+ecm_generate_pri_file(BASE_NAME KBookmarks LIB_NAME KF5Bookmarks DEPS "widgets xml" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KBookmarks)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kbookmarks (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:31 +0000

kbookmarks (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:55 +0000

kbookmarks (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:10 +0000

kbookmarks (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:40 +0000

kbookmarks (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:40 +0000

kbookmarks (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kbookmarks (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Really disable BLHC of Salsa CI.
  * New upstream release (5.86.0).

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop very old libkf5bookmarks5-data breaks/replaces in libkf5bookmarks-data.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:15 +0900

kbookmarks (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kbookmarks (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:54 +0900

kbookmarks (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kbookmarks (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:14:04 +0900

kbookmarks (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:04:55 +0900

kbookmarks (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kbookmarks (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kbookmarks (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libkf5codecs-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.92.0~),
         libkf5xmlgui-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),

## kbookmarks 5.98.0

=== debian/changelog ===
kbookmarks (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:24 +0100

kbookmarks (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:33 +0100

kbookmarks (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:35 +0100

kbookmarks (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:53 +0100

kbookmarks (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:37 +0100

kbookmarks (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5codecs-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5codecs-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -39,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.92.0~),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5configwidgets-dev (>= 5.98.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

## kbookmarks 5.100.0

=== debian/changelog ===
kbookmarks (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

kbookmarks (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

kbookmarks (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

kbookmarks (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

kbookmarks (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kbookmarks (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kbookmarks (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kbookmarks
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5codecs-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5configwidgets-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5codecs-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5configwidgets-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5widgetsaddons-dev (>= 5.100.0~),
+               libkf5xmlgui-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kbookmarks
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbookmarks
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbookmarks.git
 Rules-Requires-Root: no
 
 Package: libkf5bookmarks-data
@@ -39,8 +39,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.98.0~),
-         libkf5xmlgui-dev (>= 5.98.0~),
+         libkf5configwidgets-dev (>= 5.100.0~),
+         libkf5xmlgui-dev (>= 5.100.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5bookmarks-doc (= ${source:Version})

## kbookmarks 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KBookmarks VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -50,12 +50,15 @@
 find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
 find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
-find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
 
-ecm_install_po_files_as_qm(po)
+if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.69.0)
+  find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
+endif()
+
+ecm_install_po_files_as_qm(poqm)
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.90.0
+    KF 5.95.0
 )

=== debian/changelog ===
kbookmarks (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

kbookmarks (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

kbookmarks (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5codecs-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5configwidgets-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbookmarks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbookmarks.git
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.103.0~),
         libkf5xmlgui-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version}),
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks,
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),

## kbookmarks 5.104.0

=== debian/changelog ===
kbookmarks (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:43 +0000

kbookmarks (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:39 +0000

kbookmarks (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:30 +0000

kbookmarks (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:48 +0000

kbookmarks (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:20 +0000

kbookmarks (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:35 +0000

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5codecs-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5configwidgets-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Rules-Requires-Root: no

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.104.0~),
         libkf5xmlgui-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5bookmarks-doc (= ${source:Version})
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)

Package: libkf5bookmarks-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format (documentation)
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: keditbookmarks
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: kdesignerplugin (<< 5.42),
        kross (<< 5.42),
        libkf5kdelibs4support5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.54),
